package enum

// 可用绿色能量流水-种类
type OneCirclesAvailableGreenEnergyPointsFlowKind int

const (
	PersonalActivePointRedemption OneCirclesAvailableGreenEnergyPointsFlowKind = iota
	SettlementOfGreenEnergyRelease
	SignInReward
	AccountBalanceExchange
	GreenEnergyExchangeBalance
	TeamActivePointRedemption
	SettlementStarLevelDividends
)

func (kind OneCirclesAvailableGreenEnergyPointsFlowKind) String() string {
	switch kind {
	case PersonalActivePointRedemption:
		return "个人活跃积分兑换"
	case SettlementOfGreenEnergyRelease:
		return "结算绿色能量释放"
	case SignInReward:
		return "签到奖励"
	case AccountBalanceExchange:
		return "账户余额兑换"
	case GreenEnergyExchangeBalance:
		return "绿色能量兑换余额"
	case TeamActivePointRedemption:
		return "团队活跃积分兑换"
	case SettlementStarLevelDividends:
		return "结算星级分红"
	default:
		return "未知状态"
	}
}
